Skip to main content
Версия: v2.2.0

Installation

Supported Platforms

  • Windows 10/11 AMD64/ARM64
  • MacOS 10.13+ AMD64
  • MacOS 11.0+ ARM64
  • Linux AMD64/ARM64

Dependencies

Wails has a number of common dependencies that are required before installation:

  • Go 1.18+
  • NPM (Node 15+)

Go

Download Go from the Go Downloads Page.

Ensure that you follow the official Go installation instructions. You will also need to ensure that your PATH environment variable also includes the path to your ~/go/bin directory. Restart your terminal and do the following checks:

  • Check Go is installed correctly: go version
  • Check "~/go/bin" is in your PATH variable: echo $PATH | grep go/bin

NPM

Download NPM from the Node Downloads Page. It is best to use the latest release as that is what we generally test against.

Run npm --version to verify.

Platform Specific Dependencies

You will also need to install platform specific dependencies:

Wails requires that the WebView2 runtime is installed. Some Windows installations will already have this installed. You can check using the wails doctor command.

Optional Dependencies

  • UPX for compressing your applications.
  • NSIS for generating Windows installers.

Installing Wails

Run go install github.com/wailsapp/wails/v2/cmd/[email protected] to install the Wails CLI.

Note: If you get an error similar to this:

....\Go\pkg\mod\github.com\wailsapp\wails\[email protected]\pkg\templates\templates.go:28:12: pattern all:ides/*: no matching files found

please check you have Go 1.18+ installed:

go version

System Check

Running wails doctor will check if you have the correct dependencies installed. If not, it will advise on what is missing and help on how to rectify any problems.

The wails command appears to be missing?

If your system is reporting that the wails command is missing, make sure you have followed the Go installation guide correctly. Normally, it means that the go/bin directory in your User's home directory is not in the PATH environment variable. You will also normally need to close and reopen any open command prompts so that changes to the environment made by the installer are reflected at the command prompt.